Updated to Mac Desktop Version 1.5.17 and get errors - has no access to his files anymore :-(

Works on MacBook Pro (13-inch, M1, 2020), MacOs Version 11.5.2 has just been updating to Cryptomator 1.5.27 and now gets an unexpected error (and cannot open my files anymore!

This is what i get:

org.cryptomator.common.vaults.Volume$VolumeException: org.cryptomator.frontend.webdav.mount.Mounter$UnsupportedSystemException: No applicable mounting strategy found for this system.
at org.cryptomator.common.vaults.WebDavVolume.mountServlet(WebDavVolume.java:86)
at org.cryptomator.common.vaults.WebDavVolume.mount(WebDavVolume.java:48)
at org.cryptomator.common.vaults.Vault.unlock(Vault.java:151)
at org.cryptomator.ui.unlock.UnlockWorkflow.attemptUnlock(UnlockWorkflow.java:100)
at org.cryptomator.ui.unlock.UnlockWorkflow.call(UnlockWorkflow.java:81)
at org.cryptomator.ui.unlock.UnlockWorkflow.call(UnlockWorkflow.java:44)
at javafx.concurrent.Task$TaskCallable.call(Task.java:1425)
at java.base/java.util.concurrent.FutureTask.run(Unknown Source)
at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
at java.base/java.util.concurrent.FutureTask.run(Unknown Source)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
at java.base/java.lang.Thread.run(Unknown Source)
Caused by: org.cryptomator.frontend.webdav.mount.Mounter$UnsupportedSystemException: No applicable mounting strategy found for this system.
at org.cryptomator.frontend.webdav.mount.FallbackMounter.mount(FallbackMounter.java:15)
at org.cryptomator.frontend.webdav.servlet.WebDavServletController.mount(WebDavServletController.java:102)
at org.cryptomator.common.vaults.WebDavVolume.mountServlet(WebDavVolume.java:84)
... 12 more

Thank you for your bug report. We’re working on a hotfix right now.

Edit: In the meantime, you can safely use Cryptomator 1.5.15 or use FUSE instead of WebDAV.

Update is out now: https://github.com/cryptomator/cryptomator/releases/tag/1.5.18

1 Like

Awesome thanks for the fast respond :slight_smile:

Thans a lot @tobihagemann this hotfix works for me! :slight_smile: :smiley:

2 posts were split to a new topic: Cannot unlock vault with 1.5.17

© 2021 Skymatic GmbH • Privacy PolicyImpressum